Subject: Re: bug#10996: 24.0.94; Splash screen causes first character to beep with emacsclient

From: Chong Yidong <[email-masked]>
Date: Thu, 22 Mar 2012 00:24:55 +0800

Aaron Meurer <[email-masked]> writes:

> See the discussion at
> http://lists.gnu.org/archive/html/help-gnu-emacs/2012-03/msg00079.html.
> When starting emacsclient, sometimes, the first character I type would
> not enter the character, but rather beep the screen.  I did a lot of
> debugging of this, discovering that it does not happen with emacs -Q,
> but removing all of my init files did not solve the problem.
>
> Finally, I discovered that the problem is the splash screen.  If I start
> the emacs daemon with --no-splash, the problem goes away.  It appears
> that somehow the splash screen is taking the first keypress from
> emacsclient, even though the buffer that is visible is the one for the
> file I opened.

I'm afraid I can't reproduce it.  I tried:

1. touch .emacs    [empty .emacs file]
2. emacs --daemon
3. emacsclient -c
4. a

The keystroke takes effect as expected.  Could you provide a recipe for
showing the bug?

This is latest trunk, GNU Emacs 24.0.94.1 (x86_64-unknown-linux-gnu,
GTK+ Version 3.2.0).